<app-loading *ngIf="isLoading"></app-loading>
<div class='btn-automatic-assign-role'>
  <mb-button *ngIf='objFunction?.adjusted' mbButtonType="NO_BORDER" mbButtonSize="LARGE"
             (click)="syncAutomaticAssignRole()" [mbButtonIsLoading]='isSyncAutomaticAssign' [mbIsDisable]='isSyncAutomaticAssign'
             mbButtonAvailableStyle="LOADING" mbButtonText="{{'system.automaticAssignRole.label.attributes.automaticAssign' | translate}}"></mb-button>
</div>
<div nz-row class="content">
  <div nz-col nzSm='24' nzLg='11'>
    <div class="app-card">
      <div class="container-fluid" nz-col nzSpan="24">
        <div class="form">
          <div nz-row class="form-row">
            <div nz-col nzSm='12' nzLg='15' class="form-row__left">
              <input nz-input class="form-row__input" name="" placeholder="{{'common.label.search' | translate}}"
                     [(ngModel)]="paramsRole.search" trim (keyup.enter)="searchRole()" />
              <mb-button class="center" mbButtonType="NO_BORDER" mbButtonSize="VERY_LARGE" (click)="searchRole()"
                         mbButtonAvailableStyle="SEARCH" mbButtonText="{{'common.label.search' | translate}}"></mb-button>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="app-list">
      <mb-table-merge-cell-wrap>
        <mb-table-merge-cell
          (changePageNum)="searchRole($event)"
          [tableConfig]="tableConfigRole"
          (clickRow)="onSelect($event)"
          [isShowSelectRow]="true"
          [selectValue]="roleIdSelected"
          conditionField="id"
          [dataList]="listRole"
          [isScrollHeight]="true"
          nzScrollHeight="55vh"
        ></mb-table-merge-cell>
      </mb-table-merge-cell-wrap>
    </div>
  </div>
  <div nz-col nzSm='24' nzLg='13'>
    <div class="app-card">
      <div class="container-fluid" nz-col nzSpan="24">
        <div class="form">
          <div nz-row class="form-row">
            <div nz-col nzSm='12' nzLg='15' class="form-row__left">
              <input nz-input class="form-row__input" name="" placeholder="{{'common.label.search' | translate}}"
                     [(ngModel)]="paramsPosition.searchCondition" trim (keyup.enter)="searchPosition(1)" />
              <mb-button class="center" mbButtonType="NO_BORDER" mbButtonSize="VERY_LARGE" (click)="searchPosition(1)"
                         mbButtonAvailableStyle="SEARCH" mbButtonText="{{'common.label.search' | translate}}"></mb-button>
            </div>
            <div nz-col nzSm='12' nzLg='9' class="form-row__right">
              <mb-button mbButtonType="NO_BORDER" mbButtonSize="VERY_LARGE" (click)="showModalSelectPosition()" *ngIf='objFunction?.create'
                         mbButtonAvailableStyle="PRIMARY" mbButtonText="{{'system.automaticAssignRole.label.table.selectPos' | translate}}"></mb-button>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="app-list">
      <mb-table-merge-cell-wrap>
        <mb-table-merge-cell
          (changePageNum)="searchPosition($event)"
          [tableConfig]="tableConfigPosition"
          [dataList]="listPosition"
          [isScrollHeight]="true"
          nzScrollHeight="55vh"
        ></mb-table-merge-cell>
      </mb-table-merge-cell-wrap>
    </div>
  </div>
</div>

<ng-template #actionTmpl let-rpmId='rpmId'>
  <mb-button-icon mbButtonType="DELETE" (click)="deletePosition(rpmId)"> </mb-button-icon>
</ng-template>
